Package com.sun.speech.freetts

# Class PhoneDuration

java.lang.Object
com.sun.speech.freetts.PhoneDuration

public class PhoneDuration extends Object
Maintains the mean duration and standard deviation about a phone. These are meant to be used by the code that calculates segment durations via statistical methods, and are paired with the phone by `PhoneDurations`.

See Also:
  - `PhoneDurations`

## Constructor Summary

Constructors
Constructor
Description
`PhoneDuration(float mean, float standardDeviation)`
Creates a new `PhoneDuration` with the given mean and standard deviation.

## Method Summary

Modifier and Type
Method
Description
`float`
`getMean()`
Gets the mean.
`float`
`getStandardDeviation()`
Gets the standard deviation from the mean.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PhoneDuration

public PhoneDuration(float mean, float standardDeviation)
Creates a new `PhoneDuration` with the given mean and standard deviation.

Parameters:
  `mean` - mean duration, typically in seconds
  `standardDeviation` - standardDeviation from the mean

## Method Details

### getMean

public float getMean()
Gets the mean. The return value is typically in seconds.

Returns:
  the mean

### getStandardDeviation

public float getStandardDeviation()
Gets the standard deviation from the mean.

Returns:
  the standard deviation from the mean